function vystup=sektorovaFFT(original)
%vystup=sektorovaFFT(original)

%funkce slouží pro výpočet průměrného spektra jediného obrazu rozdělením
%tohoto obrazu na sektory a v jednotlivých sektorech dochází k výpočtu
%spekter, ktere jsou následně zprůměrovány
%obraz je explicitně rozdělen na 16x17 sektorů, kde jeden sektor má rozměry
%16x32 pix při vstupním rozměru obrazu 512x1024 pix.
%--------------------------------------------------------------------------
prumer_sektor=zeros(size(original));
[r,c]=size(original);
r_sektor=r/16;
c_sektor=c/32;

r_sektorvektor=0:r_sektor:r;
c_sektorvektor=0:c_sektor:c;

for k=1:16
    for l=1:32
       sektor =(real(fft2(original(r_sektorvektor(k)+1:k*r_sektor,c_sektorvektor(l)+1:l*c_sektor),r,c))).^2;
        prumer_sektor=prumer_sektor+sektor;
    end
end
vystup=real(prumer_sektor/(k*l));